Update agent MCP connection

Update agent MCP connection. See the OpenAPI-defined parameters, request body, and responses below.

PUT /AgentMcpConnection/{id}

Update agent MCP connection. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Atualiza Enabled e substitui a lista AllowedTools da associação. AgentId e ConnectorId devem permanecer iguais aos da associação existente; para trocar o agente ou conector, crie outra associação. Requer UpdateAgent e ViewConnectors.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: AgentMcpConnectionDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
agentIdinteger · int32No—min: 1; max: 2147483647
connectorIdinteger · int32No—min: 1; max: 2147483647
enabledbooleanNo——
allowedToolsarray<string>Yes——
createdAtstring · date-timeNo——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/AgentMcpConnection/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "agentId": 0,
  "connectorId": 0,
  "enabled": true,
  "allowedTools": [
    "string"
  ],
  "createdAt": "2026-09-22T18:00:00Z"
}'

Responses

StatusDescriptionResponse body
204Associação atualizada, sem conteúdo.No response body is defined.

Data models

AgentMcpConnectionDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
agentIdinteger · int32No—min: 1; max: 2147483647
connectorIdinteger · int32No—min: 1; max: 2147483647
enabledbooleanNo——
allowedToolsarray<string>Yes——
createdAtstring · date-timeNo——